MultiColumnRestriction.INRestriction (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.restrictions

## Class MultiColumnRestriction.INRestriction

- java.lang.Object
- - org.apache.cassandra.cql3.restrictions.MultiColumnRestriction
  - - org.apache.cassandra.cql3.restrictions.MultiColumnRestriction.INRestriction

- All Implemented Interfaces:
    Restriction, SingleRestriction
  Direct Known Subclasses:
    MultiColumnRestriction.InRestrictionWithMarker, MultiColumnRestriction.InRestrictionWithValues
  Enclosing class:
    MultiColumnRestriction

      public abstract static class MultiColumnRestriction.INRestriction
      extends MultiColumnRestriction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.restrictions.MultiColumnRestriction

      `MultiColumnRestriction.EQRestriction, MultiColumnRestriction.INRestriction, MultiColumnRestriction.InRestrictionWithMarker, MultiColumnRestriction.InRestrictionWithValues, MultiColumnRestriction.NotNullRestriction, MultiColumnRestriction.SliceRestriction`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.restrictions.MultiColumnRestriction

      `columnDefs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `INRestriction(java.util.List<ColumnDefinition> columnDefs)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRowFilterTo(RowFilter filter, SecondaryIndexManager indexManager, QueryOptions options)` Adds to the specified row filter the expressions corresponding to this `Restriction`.
    `MultiCBuilder` | `appendTo(MultiCBuilder builder, QueryOptions options)` Appends the values of this `SingleRestriction` to the specified builder.
    `SingleRestriction` | `doMergeWith(SingleRestriction otherRestriction)`
    `boolean` | `isIN()`
    `protected boolean` | `isSupportedBy(Index index)` Check if this type of restriction is supported for by the specified index.
    `protected abstract java.util.List<java.util.List<java.nio.ByteBuffer>>` | `splitValues(QueryOptions options)`

    - ### Methods inherited from class org.apache.cassandra.cql3.restrictions.MultiColumnRestriction

      `getColumnDefs, getColumnsInCommons, getFirstColumn, getLastColumn, hasSupportingIndex, isMultiColumn, mergeWith`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.restrictions.SingleRestriction

      `appendBoundTo, hasBound, isContains, isEQ, isInclusive, isLIKE, isNotNull, isSlice`

    - ### Methods inherited from interface org.apache.cassandra.cql3.restrictions.Restriction

      `addFunctionsTo, isOnToken`

- - ### Constructor Detail

    - #### INRestriction

          public INRestriction(java.util.List<ColumnDefinition> columnDefs)

  - ### Method Detail

    - #### appendTo

          public MultiCBuilder appendTo(MultiCBuilder builder,
                                        QueryOptions options)

      Appends the values of this `SingleRestriction` to the specified builder.
      Parameters:
        `builder` - the `MultiCBuilder` to append to.
        `options` - the query options
      Returns:
        the `MultiCBuilder`

    - #### isIN

          public boolean isIN()

    - #### doMergeWith

          public SingleRestriction doMergeWith(SingleRestriction otherRestriction)

      Specified by:
        `doMergeWith` in class `MultiColumnRestriction`

    - #### isSupportedBy

          protected boolean isSupportedBy(Index index)

      Description copied from class: `MultiColumnRestriction`
      Check if this type of restriction is supported for by the specified index.
      Specified by:
        `isSupportedBy` in class `MultiColumnRestriction`
      Parameters:
        `index` - the secondary index
      Returns:
        `true` this type of restriction is supported by the specified index, `false` otherwise.

    - #### addRowFilterTo

          public final void addRowFilterTo(RowFilter filter,
                                           SecondaryIndexManager indexManager,
                                           QueryOptions options)

      Description copied from interface: `Restriction`
      Adds to the specified row filter the expressions corresponding to this `Restriction`.
      Parameters:
        `filter` - the row filter to add expressions to
        `indexManager` - the secondary index manager
        `options` - the query options

    - #### splitValues

          protected abstract java.util.List<java.util.List<java.nio.ByteBuffer>> splitValues(QueryOptions options)

Copyright © 2018 The Apache Software Foundation